/services/webshop/v1/orders/sendcloud/shipments/push
Auth
This endpoint validates orders and queues them for batch processing. Actual SendCloud API communication happens asynchronously in jobs.
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
create_label |
boolean | Yes | false |
|
order_ids |
integer[] | Yes | [1,2,3] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
summary |
object | |
summary.total_orders |
integer | |
summary.new_orders |
integer | |
summary.retry_orders |
integer | |
summary.skipped_orders |
integer | |
summary.queued_orders |
integer | |
details |
object | |
details.new_orders |
string[] | |
details.retry_orders |
string[] | |
details.skipped_orders |
string[] | |
details.queued_orders |
mixed[] | |
total_chunks |
integer | |
labels_will_be_created |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/webshop/v1/orders/sendcloud/shipments/push" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"create_label": false,
"order_ids": [
1,
2,
3
]
}'
fetch('https://api.wemasy.nl/api/services/webshop/v1/orders/sendcloud/shipments/push', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"create_label": false,
"order_ids": [
1,
2,
3
]
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/webshop/v1/orders/sendcloud/shipments/push', {
"create_label": false,
"order_ids": [
1,
2,
3
]
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"create_label": false,
"order_ids": [
1,
2,
3
]
}
r = requests.post("https://api.wemasy.nl/api/services/webshop/v1/orders/sendcloud/shipments/push", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "string",
"summary": {
"total_orders": 0,
"new_orders": 0,
"retry_orders": 0,
"skipped_orders": 0,
"queued_orders": 0
},
"details": {
"new_orders": [],
"retry_orders": [],
"skipped_orders": [],
"queued_orders": []
},
"total_chunks": 0,
"labels_will_be_created": "string"
}